<script setup lang="ts">
import { DrawerTrigger as ShadcnDrawerTrigger } from '@/components/core/drawer';
import type { UiDrawerTriggerProps } from './types';

defineOptions({
  name: 'UiDrawerTrigger',
});

defineProps<UiDrawerTriggerProps>();
</script>

<template>
  <ShadcnDrawerTrigger :as-child="$props.asChild">
    <slot />
  </ShadcnDrawerTrigger>
</template>
